Get information about an uploaded file

Returns a JSON object with information about an uploaded file (file size, MIME type, metadata, etc).

Query parameters

pub_keystringRequired
Public key identifying an Uploadcare project your uploads will go to.
file_idstringRequiredformat: "uuid"
File's unique ID.

Response

File information was retrieved successfully.
uuidstringformat: "uuid"
File's unique ID.
file_idstringformat: "uuid"

Same as uuid

sizeinteger
File's size in bytes.
totalinteger

Same as size.

doneinteger

Same as size.

original_filenamestring
Original file of the uploaded file.
filenamestring

Sanitized original_filename.

mime_typestring

File’s MIME-type.

image_infoobject
Image metadata.
video_infoobject
Video metadata.
content_infoobject
Information about file content.
metadataobject
Arbitrary metadata associated with a file.
is_imageboolean
True if the uploaded file is an image of a supported file format.
is_storedboolean
True if the file has been marked as stored.
is_readyboolean
True if the file is ready to be fetched from Uploadcare's CDN.
s3_bucketstring or null
Name of an AWS S3 bucket where the file is stored. Only available if you associate a Foreign Storage Bucket with your project.